> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# REST API: Historical HBAR prices

> Query minutely historical HBAR prices in USD between two unix-second timestamps, for charting, backtesting, and converting tinybar values to dollars.



## OpenAPI

````yaml GET /stats/hbarHistoricalPrices
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
    description: Mainnet
  - url: https://test-api.saucerswap.finance
    description: Testnet
security:
  - ApiKeyAuth: []
paths:
  /stats/hbarHistoricalPrices:
    get:
      tags:
        - Stats
      summary: Get historical HBAR price data (minutely)
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: from
          in: query
          required: true
          schema:
            type: integer
            example: 1697600000
            description: From unix seconds
        - name: to
          in: query
          required: true
          schema:
            type: integer
            example: 1697610000
            description: To unix seconds
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    priceUsd:
                      type: number
                      description: HBAR price in USD
                      example: 0.04830379666666667
                    timestampSeconds:
                      type: integer
                      description: Unix timestamp in seconds
                      example: 1697599980
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: YOUR_API_KEY
      description: >-
        API key for authentication. Request a key from
        support@saucerswap.finance.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key provisioned by the SaucerSwap team. Request one from
        support@saucerswap.finance and send it in the x-api-key header with
        every request.

````